import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
import type { _NSObject } from "../Foundation/NSObject.js";
export declare class _MTROperationalStateClusterOperationCompletionEvent extends _NSObject {
    static alloc(): _MTROperationalStateClusterOperationCompletionEvent;
    static new(): _MTROperationalStateClusterOperationCompletionEvent;
    init(): _MTROperationalStateClusterOperationCompletionEvent;
    completionErrorCode(): _NSNumber;
    setCompletionErrorCode$(value: _NSNumber): void;
    totalOperationalTime(): _NSNumber | null;
    setTotalOperationalTime$(value: _NSNumber | null): void;
    pausedTime(): _NSNumber | null;
    setPausedTime$(value: _NSNumber | null): void;
}
export interface _MTROperationalStateClusterOperationCompletionEvent extends _NSCopying {
}
